
---
apiVersion: v1
kind: Service
metadata:
  name: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
    chart: {{ template "taranta.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  type: ClusterIP
  ports:
  - name: authserver-tcp
    port: 8080
    protocol: TCP
  selector:
    app: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}

---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
    chart: {{ template "taranta.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  selector:
    matchLabels:
      app: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
  serviceName: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
  replicas: 1
  template:
    metadata:
      labels:
        app: taranta-auth-{{ template "taranta.name" . }}-{{ .Release.Name }}
        chart: {{ template "taranta.chart" . }}
        release: {{ .Release.Name }}
        heritage: {{ .Release.Service }}
    spec:
      containers:
      - name: authserver
        image: "{{ .Values.authserver.image.registry }}/{{ .Values.authserver.image.image }}:{{ .Values.authserver.image.tag }}"
        imagePullPolicy: {{ .Values.authserver.image.pullPolicy }}
        ports:
        - name: authserver-tcp
          containerPort: 8080
          protocol: TCP
        env:
          - name: SECRET
            value: "s3cr3t"
        resources:
{{ toYaml .Values.authserver.resources | indent 10 }}

      - name: redis
        image: "{{ .Values.redis.image.image }}:{{ .Values.redis.image.tag }}"
        imagePullPolicy: {{ .Values.redis.image.pullPolicy }}
        ports:
        - name: redis-tcp
          containerPort: 6379
          protocol: TCP
        resources:
{{ toYaml .Values.redis.resources | indent 10 }}

{{- with .Values.nodeSelector }}
      nodeSelector:
{{ toYaml . | indent 8 }}
{{- end }}
{{- with .Values.affinity }}
      affinity:
{{ toYaml . | indent 8 }}
{{- end }}
{{- with .Values.tolerations }}
      tolerations:
{{ toYaml . | indent 8 }}
{{- end }}

